gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Unions.TypeCValue

Contents

- Exported types
- Methods
- Properties
  - vDouble
  - vInt
  - vInt64
  - vLong
  - vPointer

Description

A union holding one collected value.

Synopsis

- newtype TypeCValue = TypeCValue (ManagedPtr TypeCValue)
- newZeroTypeCValue :: MonadIO m => m TypeCValue
- getTypeCValueVDouble :: MonadIO m => TypeCValue -> m Double
- setTypeCValueVDouble :: MonadIO m => TypeCValue -> Double -> m ()
- getTypeCValueVInt :: MonadIO m => TypeCValue -> m Int32
- setTypeCValueVInt :: MonadIO m => TypeCValue -> Int32 -> m ()
- getTypeCValueVInt64 :: MonadIO m => TypeCValue -> m Int64
- setTypeCValueVInt64 :: MonadIO m => TypeCValue -> Int64 -> m ()
- getTypeCValueVLong :: MonadIO m => TypeCValue -> m CLong
- setTypeCValueVLong :: MonadIO m => TypeCValue -> CLong -> m ()
- clearTypeCValueVPointer :: MonadIO m => TypeCValue -> m ()
- getTypeCValueVPointer :: MonadIO m => TypeCValue -> m (Ptr ())
- setTypeCValueVPointer :: MonadIO m => TypeCValue -> Ptr () -> m ()

# Exported types

newtype TypeCValue Source #

Memory-managed wrapper type.

Constructors

TypeCValue (ManagedPtr TypeCValue) |

#### Instances

Instances details

Eq TypeCValue Source # |
Instance details Defined in GI.GObject.Unions.TypeCValue Methods (==) :: TypeCValue -> TypeCValue -> Bool Source # (/=) :: TypeCValue -> TypeCValue -> Bool Source #
BoxedPtr TypeCValue Source # |
Instance details Defined in GI.GObject.Unions.TypeCValue Methods boxedPtrCopy :: TypeCValue -> IO TypeCValue Source # boxedPtrFree :: TypeCValue -> IO () Source #
CallocPtr TypeCValue Source # |
Instance details Defined in GI.GObject.Unions.TypeCValue Methods boxedPtrCalloc :: IO (Ptr TypeCValue) Source #
ManagedPtrNewtype TypeCValue Source # |
Instance details Defined in GI.GObject.Unions.TypeCValue Methods toManagedPtr :: TypeCValue -> ManagedPtr TypeCValue Source #
tag ~ 'AttrSet => Constructible TypeCValue tag Source # |
Instance details Defined in GI.GObject.Unions.TypeCValue Methods new :: MonadIO m => (ManagedPtr TypeCValue -> TypeCValue) -> [AttrOp TypeCValue tag] -> m TypeCValue Source #

newZeroTypeCValue :: MonadIO m => m TypeCValue Source #

Construct a `TypeCValue` struct initialized to zero.

# Methods

# Properties

## vDouble

the field for holding floating point values

getTypeCValueVDouble :: MonadIO m => TypeCValue -> m Double Source #

Get the value of the “`v_double`” field. When overloading is enabled, this is equivalent to

    get typeCValue #vDouble

setTypeCValueVDouble :: MonadIO m => TypeCValue -> Double -> m () Source #

Set the value of the “`v_double`” field. When overloading is enabled, this is equivalent to

    set typeCValue [ #vDouble := value ]

## vInt

the field for holding integer values

getTypeCValueVInt :: MonadIO m => TypeCValue -> m Int32 Source #

Get the value of the “`v_int`” field. When overloading is enabled, this is equivalent to

    get typeCValue #vInt

setTypeCValueVInt :: MonadIO m => TypeCValue -> Int32 -> m () Source #

Set the value of the “`v_int`” field. When overloading is enabled, this is equivalent to

    set typeCValue [ #vInt := value ]

## vInt64

the field for holding 64 bit integer values

getTypeCValueVInt64 :: MonadIO m => TypeCValue -> m Int64 Source #

Get the value of the “`v_int64`” field. When overloading is enabled, this is equivalent to

    get typeCValue #vInt64

setTypeCValueVInt64 :: MonadIO m => TypeCValue -> Int64 -> m () Source #

Set the value of the “`v_int64`” field. When overloading is enabled, this is equivalent to

    set typeCValue [ #vInt64 := value ]

## vLong

the field for holding long integer values

getTypeCValueVLong :: MonadIO m => TypeCValue -> m CLong Source #

Get the value of the “`v_long`” field. When overloading is enabled, this is equivalent to

    get typeCValue #vLong

setTypeCValueVLong :: MonadIO m => TypeCValue -> CLong -> m () Source #

Set the value of the “`v_long`” field. When overloading is enabled, this is equivalent to

    set typeCValue [ #vLong := value ]

## vPointer

the field for holding pointers

clearTypeCValueVPointer :: MonadIO m => TypeCValue -> m () Source #

Set the value of the “`v_pointer`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #vPointer

getTypeCValueVPointer :: MonadIO m => TypeCValue -> m (Ptr ()) Source #

Get the value of the “`v_pointer`” field. When overloading is enabled, this is equivalent to

    get typeCValue #vPointer

setTypeCValueVPointer :: MonadIO m => TypeCValue -> Ptr () -> m () Source #

Set the value of the “`v_pointer`” field. When overloading is enabled, this is equivalent to

    set typeCValue [ #vPointer := value ]